Name: span-gles
Version: 2.0
Release: %mkrel 1

Summary: Span-gles is a GUI Spanish - English Translator.
Group: Education
License: GPLv3+
URL: http://www.marteq.net/spangles.html
Source0: http://sourceforge.net/projects/span-gles/files/?source=recommended/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Requires: python >= 1.7
Requires: pygtk2.0
Requires: python-gobject


%description
It will translate a phrase (via the Internet) or a single word (with either the built-in dictionary 
or the net.) It is capable of learning new words and is smart enough to find plural and feminine words.



%prep
%setup -q


%build
#nobuild


%install
rm -rf %{buildroot}
install -dm 755 %{buildroot}/%_datadir/%{name}
cp -af {span-gles,spangles-main.dict,*.png} \
%{buildroot}/%_datadir/%{name}

#launcher
mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}
./%{name}
cd /
EOF

chmod a+x %buildroot%_bindir/%{name}

#icon
install -dm 755 %{buildroot}/%_datadir/pixmaps
install -m 644 %{name}.png %{buildroot}/%_datadir/pixmaps


# menu-entry
mkdir -p %buildroot%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Span-gles
Comment=Spanish - English Translator
Exec=%{name}
Icon=%{name}
Terminal=false 
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-MoreApplications-Education-Languages;
EOF


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%doc AUTHORS Changelog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop



%changelog
* Mon Oct 14 2013 Ken <lxgator at gmail.com> 2.0-1pclos2013
- Create pkg
